import * as tslib_1 from "tslib";
import * as React from 'react';
import { ComponentPage, ExampleCard, PageMarkdown, PropertiesTableSet } from '@uifabric/example-app-base';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { CommandBarStatus } from './CommandBar.checklist';
import { CommandBarBasicExample } from './examples/CommandBar.Basic.Example';
import { CommandBarButtonAsExample } from './examples/CommandBar.ButtonAs.Example';
import { farItems, items, overflowItems } from './examples/data';
var CommandBarBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/examples/CommandBar.Basic.Example.tsx');
var CommandBarButtonAsExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/examples/CommandBar.ButtonAs.Example.tsx');
var CommandBarPage = /** @class */ (function (_super) {
    tslib_1.__extends(CommandBarPage, _super);
    function CommandBarPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CommandBarPage.prototype.render = function () {
        var cmdBarParamsTextAndIcons = { items: items, overflowItems: overflowItems, farItems: farItems };
        return (React.createElement(ComponentPage, { title: 'CommandBar', componentName: 'CommandBarExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/CommandBar', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'CommandBar with overflowing menu items', code: CommandBarBasicExampleCode },
                    React.createElement(CommandBarBasicExample, tslib_1.__assign({}, cmdBarParamsTextAndIcons))),
                React.createElement(ExampleCard, { title: 'CommandBar custom buttons', code: CommandBarButtonAsExampleCode },
                    React.createElement(CommandBarButtonAsExample, tslib_1.__assign({}, cmdBarParamsTextAndIcons)))), propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/CommandBar.types.ts'),
                    require('!raw-loader!office-ui-fabric-react/src/components/ContextualMenu/ContextualMenu.types.ts')
                ] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/docs/CommandBarOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/docs/CommandBarDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/CommandBar/docs/CommandBarDonts.md')), related: React.createElement("a", { href: 'https://dev.office.com/fabric-js/Components/CommandBar/CommandBar.html' }, "Fabric JS"), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, CommandBarStatus)) }));
    };
    return CommandBarPage;
}(React.Component));
export { CommandBarPage };
//# sourceMappingURL=CommandBarPage.js.map